import { Module } from '@nestjs/common'
import { AuthService } from './auth.service'
import { AuthController } from './auth.controller'
import { JwtService } from '@nestjs/jwt'
import { JwtStrategy } from './strategies/jwt.strategy'
import { EmailService } from 'src/email/email.service'

@Module({
  controllers: [AuthController],
  providers: [AuthService, JwtService, JwtStrategy, EmailService],
})
export class AuthModule {}
